# SPDX-FileCopyrightText: 2024 UL Research Institutes
# SPDX-License-Identifier: Apache-2.0

stages:
  - test
  - build
  - deploy

include:
  - project: buildgarden/pipelines/detect-secrets
    ref: 0.2.1
    file:
      - detect-secrets.yml
  - project: buildgarden/pipelines/prettier
    ref: 0.3.2
    file:
      - prettier.yml
  - project: buildgarden/pipelines/opentofu
    ref: 0.8.1
    file:
      - opentofu-fmt.yml
      - opentofu-production-apply.yml
      - opentofu-production-plan.yml
      - opentofu-production-validate.yml
      - opentofu-production-trivy.yml
